dspam_train(1)

NAME
dspam_train - train a corpus of mail

SYNOPSIS
dspam_train [username ] [--client ] [-i index|spam_corpus nonspam_corpus ]

DESCRIPTION

dspam_train is used to train and test a corpus of mail (in maildir or MBOX format). This tool will present each message to DSPAM for a classification and then retrain only if the message was incorrect. This provides close to real-world training and should be used to build pretrained databases. Upon execution, the tool will automatically determine the ratio of spam:nonspam and train based on that ratio to ensure both corpora are trained consecutively. This tool can also be used as a test jig to measure the efficiency and accuracy of a particular corpus against DSPAM in a given configuration.

OPTIONS

--client
    If specified, DSPAM is used in client-server mode.

username
    Specifies the user to train, if omitted the current user name is used.

-i index
    Use a index file instead of the usual spam_corpus and nonspam_corpus. index : Path to the index file having the following format per line:
    [class] [path to message]

spam_corpus
    Specifies either the pathname to the directory containing the corpus of spam, with each in a separate file (e.g. maildir format) or a path to the mailbox in the traditional Unix MBOX format.

nonspam_corpus
    Specifies either the pathname to the directory containing the corpus of nonspam with each message in a separate file or a path to the mailbox in the traditional Unix MBOX format.

EXIT VALUE

0   Operation was successful.
other
    Operation resulted in an error.

COPYRIGHT
Copyright © 2002-2012 DSPAM Project
All rights reserved.
For more information, see http://dspam.sourceforge.net.

SEE ALSO
dspam(1), dspam_admin(1), dspam_clean(1), dspam_crc(1), dspam_dump(1), dspam_logrotate(1), dspam_merge(1), dspam_stats(1)